<?php
/*
Plugin Name: WebsiteNazorg.nl - Schakel versienummering uit
Plugin URI: https://www.websitenazorg.nl
Version: 1.0
Author: digishock.com
Author URI: https://www.digishock.com
Description: [Beveiliging] Schakel versienummering uit zorgt ervoor dat versienummers van WordPress en plugins lastiger te vinden zijn.
*/

// First remove the generator information from the head of WordPress.
remove_action('wp_head', 'wp_generator');

// Remove the generator information from the RSS feed.
function remove_wp_version_rss() {
 return'';
 }
 
add_filter('the_generator','remove_wp_version_rss');

// Finally, remove version information from plugins in HTML source

function digishock_switch_version_scripts_off($src) {
	if (strpos($src, 'ver=')) {
		$src = remove_query_arg('ver', $src);
	}
	return $src;
}
add_filter('style_loader_src', 'digishock_switch_version_scripts_off', 9999);
add_filter('script_loader_src', 'digishock_switch_version_scripts_off', 9999);